<?php

require PLUGIN_PATH . "/vendor/autoload.php";
use PHPHtmlParser\Dom;

class Kiranime_plugin
{
    private $episode     = null;
    public $results      = [];
    private $keys        = [];
    public $gogoresults  = [];
    public $embedresults = [];

    public function __construct($episode)
    {
        if (empty($episode)) {
            return null;
        }

        $this->episode = $episode;
    }

    public function getlink($link) {
        $host = str_ireplace('Gogo server','Vidcdn',trim($link->getChildren()[1]->text() ?: $link->getChildren()[2]->text()));

        if(in_array($host, $this->keys)){
            return;
        }

        $this->gogoresults[] = [
            'url'   => $link->getAttribute('data-video') ?? '',
            'type'  => 'sub',
            'host'  => $host
        ];
    }

    private function set_gogoresult_(){
        foreach ($this->episode->streams as $player) {
            $this->keys[]        = is_array($player) ? $player['host'] : $player->host;
            $this->gogoresults[] = $player;
        }
    }
    public function get_gogo()
    {
        if(empty(get_option('kiranime_use_episode_slug', true))){
            $parent_title = isset($this->episode->meta['parent_name']) ? trim($this->episode->meta['parent_name']) : trim(get_the_title($this->episode->meta['parent_id']));
            if (!$parent_title) return [];
    
            $post_name = sanitize_title($parent_title . ' ' . __('Episode', 'kiranime') . ' ' . $this->episode->meta['number']);
        }else{
            $post_name = $this->episode?->post?->post_name;
        }

        if (!$post_name) return [];

        $this->set_gogoresult_();
        $base    = get_option('kiranime_gogo_watch_base', false);
        $base    = !empty($base) ? $base : GOGO_BASE_WATCH;
        $dom = new Dom();
        $dom->loadFromUrl($base.$post_name);

        /**
         * @var \PHPHtmlParser\Dom\Node\Collection $links
         */
        $links = $dom->find('.anime_muti_link a');

        $links->each([$this, 'getlink']);

        return $this->gogoresults;
    }

    public function grab()
    {
        $e = $this->get_gogo();
        if (is_array($e)) {
            return $e;
        }
        
        return [];
    }
}
