<?php

get_header( 'single' );
$sidebar_active = is_active_sidebar( 'archive-sidebar' );
$page           = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
$cache          = new Kiranime_Cache( 'archive_data_episode_' . $page );
if ( false === ( $tax_page = $cache->get( '' ) ) ) :
	$tax_name      = 'post_tag';
	$episode_query = new Kira_Query(
		[
			'paged'          => $page,
			'posts_per_page' => get_theme_mod( '__archive_count', 20 ),
		],
		'episode'
	);

	ob_start();
	?>
	<?php if ( get_theme_mod( '__show_share_button', 'show' ) === 'show' ) : ?>
<style>
:root {
	--justify-space: 
		<?php
		echo $episode_query->count > 7 ? 'space-around' : 'flex-start';
		?>
	;
}
</style>
<div class="mbs-17 inline-block mbe-5 bg-darkest w-full">
	<div class="pli-4">
		<div class="pli-5 plb-0 relative flex items-center gap-5">
			<div class="block text-xs pis-5 plb-1 relative border-s-2 border-accent">
				<span class="text-sm font-semibold text-accent">
					<?php printf( esc_html__( 'Share %1$s', 'kiranime' ), get_bloginfo( 'name' ) ); ?>
				</span>
				<p class="mbe-0"><?php esc_html_e( 'to your friends', 'kiranime' ); ?></p>
			</div>
			<?php get_template_part( 'template-parts/sections/component/use', 'share' ); ?>
		</div>
	</div>
</div>
	<?php else : ?>
<div class="mbs-17"></div>
	<?php endif; ?>
<div class="mbe-17 lg:flex items-start justify-between plb-4 mli-auto w-full gap-5">
	<section class="w-full 
	<?php
	if ( $sidebar_active ) {
									echo 'main-width';
	} else {
		echo 'lg:pli-12';
	}
	?>
								">
		<h1 class="mbe-4 text-2xl font-semibold leading-10 text-accent">
			<?php _e( 'Episodes', 'kiranime' ); ?>
		</h1>
		<div class="grid grid-episode-auto gap-4">
			<?php
			if ( $episode_query->episodes ) :
				get_template_part( 'template-parts/sections/listing/use-episode', 'grid', [ 'episodes' => $episode_query->episodes ] );
				endif;
			?>
		</div>
		<?php
			echo paginate_links(
				array(
					'base'         => str_replace( 999999999, '%#%', esc_url( get_pagenum_link( 999999999 ) ) ),
					'total'        => $episode_query->pages,
					'current'      => max( 1, get_query_var( 'paged' ) ),
					'format'       => '?paged=%#%',
					'show_all'     => false,
					'type'         => 'list',
					'end_size'     => 2,
					'mid_size'     => 1,
					'prev_next'    => false,
					'add_args'     => false,
					'add_fragment' => '',
				)
			);
		?>
	</section>
	<?php if ( $sidebar_active ) : ?>
	<aside class="w-full sidebar-width p-4 mbs-5 lg:mbs-0">
		<?php dynamic_sidebar( 'archive-sidebar' ); ?>
	</aside>
	<?php endif; ?>
</div>

	<?php
	$tax_page = ob_get_clean();
	$cache->set( '', $tax_page, get_option( '__kira_cache_time', 300 ) );
endif;
echo $tax_page;
get_footer();
?>
