<?php

if ( ! function_exists( 'kiranime_better_comments' ) ) :
	function kiranime_better_comments( $comment, $args, $depth ) {
		$uid    = isset( $comment ) ? $comment->user_id : 0;
		$avatar = Kira_User::get_avatar( $uid, [ 'class' => 'w-8 h-8 sm:w-12 sm:h-12 rounded-full' ] );

		if ( $comment->comment_parent ) {
			$parent_comment = get_comment_author( $comment->comment_parent );
		}

		?>
		<li <?php comment_class( 'mbe-3' ); ?> kira-comment-wrapper id="comment-<?php comment_ID(); ?>">
			<div id="div-comment-<?php comment_ID(); ?> " class="comment w-full flex gap-2 bg-secondary rounded-lg min-h-[6rem]">
				<div class="hidden sm:h-12 sm:w-12 min-h-[inherit] md:flex md:w-20 items-center justify-center">
					<?php echo $avatar; ?>
				</div>
				<div class="bg-tertiary font-normal text-sm w-full min-h-[inherit] p-2 rounded-md">
					<div class="comment-arrow"></div>
					<?php if ( '0' === $comment->comment_approved ) : ?>
						<em><?php esc_html_e( 'Your comment is awaiting moderation.', 'kiranime' ); ?></em>
						<br />
					<?php endif; ?>
					<div class="flex items-start justify-between w-full ">
						<div class="flex items-start gap-2">
							<div class="w-8 h-8 md:hidden min-h-[inherit] flex items-center justify-center">
								<?php echo $avatar; ?>
							</div>
							<strong> <a href="<?php echo Kiranime_Watchlist::get_watchlist_url( $uid ); ?>"><?php echo get_comment_author(); ?></a></strong>
							<span> ~ </span>

							<span class="text-text-color/50 text-[12px]">
							<?php
							/* translators: time */printf( esc_html__( '%1$s Ago.', 'kiranime' ), Kira_Utility::get_relative_time( get_comment_time( 'U' ) ) )
							?>
									</span>
						</div>
						<span class="float-right" kira-respond-comment data-comment-parent="<?php comment_ID(); ?>" data-comment-post-id="<?php the_ID(); ?>">
							<span class="material-icons-round">reply</span>
							<?php
							comment_reply_link(
								array_merge(
									$args,
									[
										'add_below' => 'comment',
										'depth'     => $depth,
										'max_depth' => $depth >= $args['max_depth'] ? $depth + 1 : $args['max_depth'],
									]
								)
							)
							?>
						</span>
					</div>
					<p class="mlb-2 pis-10 md:pis-0"> 
					<?php
					if ( isset( $parent_comment ) ) :
						?>
						<b>@<?php echo esc_html( $parent_comment ); ?></b> <?php endif; ?> <?php echo esc_html( get_comment_text() ); ?>
					</p>
				</div>
			</div>
			<div id="respond-<?php comment_ID(); ?>"></div>
		</li>
		<?php
	}
endif;
