<?php
/**
 * Template Name: User Settings
 *
 * @package Kiranime
 */

if ( ! is_user_logged_in() ) {
	wp_redirect( home_url( '/' ) );
	exit();
}
get_header( 'single' );
$cuid = get_current_user_id();
$meta = ! empty( $cuid ) ? get_user_meta( $cuid, 'Kira_User_auto_play', true ) : false;

?>
<?php get_template_part( 'template-parts/sections/component/use', 'user-heading' ); ?>

<section class="lg:w-6/12 w-full mli-auto">
	<h2 class="text-2xl leading-10 font-medium mbe-5 flex items-center gap-4">
		<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="w-6 h-6">
			<path fill="currentColor" d="M487.4 315.7l-42.6-24.6c4.3-23.2 4.3-47 0-70.2l42.6-24.6c4.9-2.8 7.1-8.6 5.5-14-11.1-35.6-30-67.8-54.7-94.6-3.8-4.1-10-5.1-14.8-2.3L380.8 110c-17.9-15.4-38.5-27.3-60.8-35.1V25.8c0-5.6-3.9-10.5-9.4-11.7-36.7-8.2-74.3-7.8-109.2 0-5.5 1.2-9.4 6.1-9.4 11.7V75c-22.2 7.9-42.8 19.8-60.8 35.1L88.7 85.5c-4.9-2.8-11-1.9-14.8 2.3-24.7 26.7-43.6 58.9-54.7 94.6-1.7 5.4.6 11.2 5.5 14L67.3 221c-4.3 23.2-4.3 47 0 70.2l-42.6 24.6c-4.9 2.8-7.1 8.6-5.5 14 11.1 35.6 30 67.8 54.7 94.6 3.8 4.1 10 5.1 14.8 2.3l42.6-24.6c17.9 15.4 38.5 27.3 60.8 35.1v49.2c0 5.6 3.9 10.5 9.4 11.7 36.7 8.2 74.3 7.8 109.2 0 5.5-1.2 9.4-6.1 9.4-11.7v-49.2c22.2-7.9 42.8-19.8 60.8-35.1l42.6 24.6c4.9 2.8 11 1.9 14.8-2.3 24.7-26.7 43.6-58.9 54.7-94.6 1.5-5.5-.7-11.3-5.6-14.1zM256 336c-44.1 0-80-35.9-80-80s35.9-80 80-80 80 35.9 80 80-35.9 80-80 80z" />
		</svg>
		<?php the_title(); ?>
	</h2>
	<div class="w-full h-full rounded shadow bg-overlay flex gap-2">
		<div class="w-full p-4">
			<form class="space-y-5 plb-5">
				<div class="grid grid-cols-5 items-center">
					<label for="username" class="text-sm font-medium block mbe-2 uppercase col-span-3">
						Auto Play
					</label>
					<div class="relative inline-block w-10 mie-2 align-middle select-none transition duration-200 ease-in col-span-2">
						<input data-auto-play-setting type="checkbox" name="toggle" id="toggle" class="toggle-checkbox absolute block w-6 h-6 rounded-full bg-white border-4 appearance-none cursor-pointer" 
						<?php
						if ( ! empty( $meta ) && '1' === $meta ) {
																																																					echo 'value="true" checked';
						}
						?>
																																																				/>
						<label for="toggle" class="toggle-label block overflow-hidden h-6 rounded-full bg-gray-300 cursor-pointer"></label>
					</div>
				</div>
				<button data-save-user-setting class="w-max pli-4 plb-2 outline-none border-none shadow-lg rounded-md focus:ring-2 ring-accent bg-accent-3">Save</button>
			</form>
		</div>
	</div>
</section>
<?php get_footer(); ?>
