<?php
$use_sidebar = is_active_sidebar( 'article-sidebar' );
$prev_post   = get_previous_post();
$next_post   = get_next_post();
?>

<div class="lg:pli-10 md:pli-5 plb-10 w-full lg:flex gap-5">
	<div class="w-full 
	<?php
	if ( is_active_sidebar( 'article-sidebar' ) ) :
		echo 'lg-w-3/4';
						endif;
	?>
						container">
		<header>
			<section class="lg:mbs-17 mbs-10">
				<!-- breadcrumb -->
				<nav aria-label="Breadcrumb" class="text-xs font-medium mbe-5">
					<ol class="flex gap-2 items-center flex-wrap">
						<li>
							<a href="/">
								<?php esc_html_e( 'Home', 'kiranime' ); ?>
							</a>
						</li>
						<li>
							<div class="w-1 h-1 bg-secondary rounded-full"></div>
						</li>
						<li>
							<a href="<?php echo Kira_Utility::page_link( 'pages/news.php' ); ?>">
								<?php esc_html_e( 'News', 'kiranime' ); ?>
							</a>
						</li>
						<li>
							<div class="w-1 h-1 bg-secondary rounded-full"></div>
						</li>
						<li>
							<a href="<?php the_permalink(); ?>" class="text-accent-2">
								<?php the_title(); ?>
							</a>
						</li>
					</ol>
				</nav>
			</section>

			<?php
			$featured = get_the_post_thumbnail_url( get_the_ID() );
			$featured = $featured ? $featured : KIRA_THEME_DIR . '/avatar/no_image_large.png';
			?>
			<div class="w-full h-fit relative 
			<?php
			if ( $featured ) {
													echo 'pb-80 bg-cover bg-no-repeat rounded-lg';
			}
			?>
												mbe-5 after:absolute after:bg-tertiary after:z-0 after:bg-opacity-50 after:inset-0" style="background-image: url('<?php echo $featured; ?>');">
				<div class=" p-4 z-10 font-semibold absolute inset-0 flex items-center justify-center">
					<div class="w-full max-w-fit text-center">
						<h1 class="md:text-2xl xl:text-4xl block md:max-w-md lg:max-w-lg">
							<?php the_title(); ?></h1>
						<div class="flex items-center justify-center mt-5 gap-4">

							<span class="flex items-center gap-2 font-medium text-xs">
								<svg class="w-5 h-5" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
									<path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 8v4l3 3m6-3a9 9 0 11-18 0 9 9 0 0118 0z"></path>
								</svg>
								<?php
								/* translators: human-readable date format */
								printf( esc_html__( 'Published %1$s ago.', 'kiranime' ), Kira_Utility::get_relative_time( get_the_time( 'U' ) ) );
								?>
							</span>
							<span class="flex items-center gap-2 font-medium text-xs">
								<svg class="w-5 h-5" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
									<path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5.121 17.804A13.937 13.937 0 0112 16c2.5 0 4.847.655 6.879 1.804M15 10a3 3 0 11-6 0 3 3 0 016 0zm6 2a9 9 0 11-18 0 9 9 0 0118 0z">
									</path>
								</svg>
								<?php echo get_the_author_meta( 'display_name', $post->post_author ); ?>
							</span>

						</div>
					</div>
				</div>
			</div>
		</header>
		<article <?php post_class( 'flex flex-wrap lg:flex-nowrap gap-5 list-disc', $post->ID ); ?>>
			<main class="<?php echo $use_sidebar ? 'w-full lg:w-3/4' : 'w-full'; ?> relative">
				<div class="text-sm main-content plb-2 shadow-md shadow-primary">
					<?php the_content(); ?>
				</div>
				<?php if ( get_theme_mod( '__show_share_button', 'show' ) === 'show' ) : ?>
					<div class=" w-full pbs-5 relative flex gap-5 items-end">
						<div class="w-6/12 lg:w-2/12 pis-5 before:absolute before:hidden lg:before:block before:inset-0 before:h-full before:w-0.5 before:bg-accent-3 relative">
							<span class="text-sm font-semibold block">
								<?php esc_html_e( 'Share', 'kiranime' ); ?>
							</span>
							<span class="block text-xs font-light">
								<?php esc_html_e( 'to your friends!', 'kiranime' ); ?>
							</span>
						</div>
						<?php get_template_part( 'template-parts/sections/component/use', 'share' ); ?>
					</div>
				<?php endif; ?>
				<h3 class="relative text-3xl leading-[1.45] flex items-center mlb-5">
					<?php esc_html_e( 'Other Article', 'kiranime' ); ?><span class="h-[2px] mis-4 min-w-25 flex-auto bg-accent"></span></h3>
				<div class="next-prev mlb-5 lg:flex lg:justify-between lg:items-center">
					<?php
					if ( $prev_post && $prev_post instanceof WP_Post ) :
						$po    = new Kiranime_News( $prev_post->ID );
						$thumb = $po->thumbnail( 'kirathumb' );
						?>
						<div class="flex mbe-5 bg-tertiary p-3 rounded shadow-md gap-5 cursor-pointer w-full lg:max-w-lg justify-start" onclick="(()=>{location.href='<?php the_permalink( $prev_post->ID ); ?>'})()">
							<div class="w-12 h-12 rounded-full flex-shrink-0 overflow-hidden">
								<?php echo $thumb; ?>
							</div>
							<div class="flex-[75%] max-w-[75%] text-start">
								<a href="<?php the_permalink( $prev_post->ID ); ?>">
									<h3 class="truncate">
										<?php echo esc_html( $prev_post->post_title ); ?>
									</h3>
								</a>
								<div class="post-meta text-sm">
									<span><?php esc_html_e( 'Previous Article', 'kiranime' ); ?></span>
								</div>
							</div>
						</div>
					<?php endif; ?>
					<?php
					if ( $next_post && $next_post instanceof WP_Post ) :
						$po    = new Kiranime_News( $next_post->ID );
						$thumb = $po->thumbnail( 'kirathumb' );
						?>
						<div class="flex mbe-5 bg-tertiary p-3 rounded shadow-md gap-5 cursor-pointer w-full lg:max-w-lg justify-end" onclick="(()=>{location.href='<?php the_permalink( $next_post->ID ); ?>'})()">

							<div class="flex-[75%] text-end max-w-[75%]">
								<a href="<?php the_permalink( $next_post->ID ); ?>" class="flex justify-end">
									<h3 class="truncate">
										<?php echo esc_html( $next_post->post_title ); ?>
									</h3>
								</a>
								<div class="post-meta text-sm">
									<span><?php esc_html_e( 'Next Article', 'kiranime' ); ?></span>
								</div>
							</div>
							<div class="w-12 h-12 rounded-full flex-shrink-0 overflow-hidden">
								<?php echo $thumb; ?>
							</div>
						</div>
					<?php endif; ?>
				</div>
				<div class="mlb-10">
					<?php
					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
					?>
				</div>
			</main>

			<?php if ( $use_sidebar ) : ?>
				<aside class="w-full lg:w-1/4 mbs-10 lg:mbs-0 plb-2 lg:pli-0">
					<?php dynamic_sidebar( 'article-sidebar' ); ?>
				</aside>
			<?php endif; ?>
		</article>
	</div>
</div>
