<div class="relative z-50 h-auto p-8 pli-10 overflow-hidden bg-primary rounded-md plb-7 w-full container lg:max-w-md md:max-w-xs">
	<form data-login-forms>
		<?php wp_nonce_field( 'ajax-login-nonce', 'login_nonce' ); ?>
		<h3 class="mbe-6 text-2xl font-medium text-center"><?php esc_html_e( 'Sign in to your Account', 'kiranime' ); ?></h3>
		<input type="text" name="username" class="block w-full plb-3 pli-4 mbe-4 text-sm border  border-transparent rounded-lg focus:ring focus:ring-accent-2 focus:outline-none text-primary" placeholder="Username">
		<input type="password" name="password" class="block w-full plb-3 pli-4 mbe-4 text-sm border  border-transparent rounded-lg focus:ring focus:ring-accent-2 focus:outline-none text-primary" placeholder="Password">
		<?php
		if ( ! empty( $args['captcha'] ) ) :
			echo $args['captcha']->render_captcha( 'data-login-template' );
		endif;
		?>
		<div class="block">
			<button type="submit" class="w-full plb-2 pli-3 text-sm font-medium text-text-color bg-accent-3 rounded-lg">
				<?php esc_html_e( 'Log Me In', 'kiranime' ); ?>
			</button>
			<div class="text-sm mlb-4 text-center">
				<input type="checkbox" name="remember_me" id="remember_me" class="bg-primary checked:text-accent-2">
				<label for="remember_me"><?php esc_html_e( 'Remember me', 'kiranime' ); ?></label>
			</div>
		</div>
	</form>
	<p class="w-full  mlb-4 text-sm text-center text-accent">
		<?php esc_html_e( "Don't have an account?", 'kiranime' ); ?> 
		<button kiranime-to-register class="text-accent-2 underline"><?php esc_html_e( 'Sign up here', 'kiranime' ); ?></button>
	</p>
	<p class="w-full mbs-4 text-sm text-center text-accent">
		<button kiranime-to-recovery class="text-accent-2 underline"><?php esc_html_e( 'Reset Password', 'kiranime' ); ?></button>
	</p>
	
</div>
