<div class="relative z-50 h-auto p-8 pli-10 overflow-hidden bg-primary rounded-lg plb-7">
	<?php if ( get_option( 'users_can_register' ) ) : ?>
		<form data-register-forms>
			<?php wp_nonce_field( 'ajax-register-nonce', 'register_nonce' ); ?>
			<h3 class="mbe-6 text-2xl font-medium text-center"><?php esc_html_e( 'Register New Account', 'kiranime' ); ?></h3>
			<input type="text" name="username" class="block w-full plb-3 pli-4 text-sm mbe-4 border  border-transparent rounded-lg focus:ring focus:ring-accent-2 focus:outline-none text-primary" placeholder="Username">
			<input type="email" name="email" class="block w-full plb-3 pli-4 text-sm mbe-4 border  border-transparent rounded-lg focus:ring focus:ring-accent-2 focus:outline-none text-primary" placeholder="Email">
			<input type="password" name="password" autocomplete="off" class="block w-full plb-3 pli-4 text-sm mbe-4 border  border-transparent rounded-lg focus:ring focus:ring-accent-2 focus:outline-none text-primary" placeholder="Password">
			<input type="password" name="confirm_password" autocomplete="off" class="block w-full plb-3 pli-4 text-sm mbe-4 border  border-transparent rounded-lg focus:ring focus:ring-accent-2 focus:outline-none text-primary" placeholder="Confirm Password">
			<?php
			if ( ! empty( $args['captcha'] ) ) :
				echo $args['captcha']->render_captcha( 'data-register-template' );
		endif;
			?>
		<div class="block">
			<button type="submit" class="w-full plb-2 pli-3 text-sm font-medium text-text-color bg-accent-3 rounded-lg">
				<?php esc_html_e( 'Sign up', 'kiranime' ); ?>
			</button>
		</div>
	</form>
		<p class="w-full mbs-4 text-sm text-center text-accent">
			<?php esc_html_e( 'Already have an account?', 'kiranime' ); ?>
			<button kiranime-to-login class="text-accent-2 underline">
				<?php esc_html_e( 'Log in here', 'kiranime' ); ?>
			</button>
		</p>
	<?php else : ?>
		<p class="w-full  mlb-4 text-[13px] font-semibold text-center text-error">
			<?php esc_html_e( 'Registration is currently disabled by Administrator. If you already have an account', 'kiranime' ); ?>,
			<button kiranime-to-login class="text-accent-2 underline"><?php esc_html_e( 'Log in here', 'kiranime' ); ?></button>.
		</p>
	<?php endif; ?>
</div>
