<?php

global $wp;

$cache     = new Kiranime_Cache( 'kiranime_share_cache' );
$cache_key = md5( $wp->request );
$cached    = $cache->get( $cache_key );

if ( empty( $cached ) ) {
	$share_title = '';
	$d_text      = '';
	if ( is_home() || is_page_template( 'pages/homepage.php' ) ) {
		$share_title = get_bloginfo( 'name' );
		$d_text      = get_bloginfo( 'name' );
	} else {
		$share_title = get_the_title();
	}

	if ( is_single( 'anime' ) ) {
		$d_text  = 'This Anime';
		$buttons = Kira_Utility::share_button( $share_title, home_url( add_query_arg( $_GET, $wp->request ) ), 3 );
	} else {
		$buttons = Kira_Utility::share_button( $share_title, home_url( add_query_arg( $_GET, $wp->request ) ) );
	}

	ob_start();
	?>
<div class="share-button md:grid grid-cols-3 lg:inline-flex gap-2 pie-3 md:pie-0" role="group">
	<?php foreach ( $buttons as $name => $button ) : ?>
		<a href="<?php echo esc_url( $button['link'] ); ?>" style="background-color: <?php echo $button['color']; ?>;" class="rounded flex items-center justify-center gap-[6px] lg:pli-5 md:pli-3 plb-1.5 text-white font-medium text-xs leading-tight uppercase focus:outline-none focus:ring-0 hover:brightness-75 transition duration-150 ease-in-out shadow-md hover:shadow-lg focus:shadow-lg">

			<svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" class="w-4 h-4 rtl:order-1" viewBox="<?php echo $button['vbox']; ?>">
				<path d="<?php echo $button['icon']; ?>" />
			</svg>
			<span class="hidden md:inline-block"><?php echo esc_attr( $name ); ?></span>
		</a>
	<?php endforeach; ?>
</div>
	<?php
	$cached = ob_get_clean();
	$cache->set( $cache_key, $cached );
}

echo $cached;
?>
