<?php

/**
 * use get_stylesheet_directory_uri() to load js/css from the child theme.
 * use function_exist() to check if the function is already exist or not to avoid conflicts.
 */

add_action('wp_enqueue_scripts', 'kiranime_enqueue');
function kiranime_enqueue()
{
    $parenthandle = 'kiranime';
    $theme        = wp_get_theme();

    /**
     * load parent style
     */
    wp_enqueue_style($parenthandle, get_template_directory_uri() . '/assets/style.css', [], $theme->parent()->get('Version'));

    /**
     * load child theme style
     */
    wp_enqueue_style('child-style', get_stylesheet_uri(), [$parenthandle], $theme->get('Version'));
}